WPS8TextInternal::SubDocument Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WPS8TextInternal::SubDocument Class Reference

Internal: the subdocument of a WPS8Text. More...

Inheritance diagram for WPS8TextInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr input, WPS8Text &pars, WPSEntry const &entry)
| constructor for a note/endnote entry More...
| SubDocument (RVNGInputStreamPtr input, librevenge::RVNGString const &text)
| constructor for a comment entry More...
| ~SubDocument ()
| destructor More...
virtual bool | operator== (WPSSubDocumentPtr const &doc) const
| operator== More...
void | parse (WPSContentListenerPtr &listener, libwps::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from WPSTextSubDocument
| WPSTextSubDocument (RVNGInputStreamPtr &input, WPSParser *parser, int id=0)
| constructor More...
virtual | ~WPSTextSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
virtual bool | operator== (shared_ptr< WPSTextSubDocument > const &doc) const
| an operator = More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
WPS8Text * | m_textParser
WPSEntry | m_entry
librevenge::RVNGString | m_text

## Private Member Functions
| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Additional Inherited Members
Protected Attributes inherited from WPSTextSubDocument
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a WPS8Text.

## Constructor & Destructor Documentation

WPS8TextInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr | input,
|  | WPS8Text & | pars,
|  | WPSEntry const & | entry
| ) |  |
| inline

constructor for a note/endnote entry

WPS8TextInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr | input,
|  | librevenge::RVNGString const & | text
| ) |  |
| inline

constructor for a comment entry

WPS8TextInternal::SubDocument::~SubDocument | ( |  | ) |
| inline

destructor

WPS8TextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private

## Member Function Documentation

SubDocument& WPS8TextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private

virtual bool WPS8TextInternal::SubDocument::operator== | ( | WPSSubDocumentPtr const & | doc | ) | const
| inlinevirtual

operator==

Reimplemented from WPSSubDocument.

void WPS8TextInternal::SubDocument::parse | ( | WPSContentListenerPtr & | listener,
|  | libwps::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements WPSTextSubDocument.

## Member Data Documentation

WPSEntry WPS8TextInternal::SubDocument::m_entry

Referenced by operator==().

librevenge::RVNGString WPS8TextInternal::SubDocument::m_text

Referenced by operator==().

WPS8Text* WPS8TextInternal::SubDocument::m_textParser

Referenced by operator==().

The documentation for this class was generated from the following file:

- WPS8Text.cpp